# Uses of Class
com.databend.jdbc.StatementInfoWrapper

Packages that use StatementInfoWrapper
Package
Description
com.databend.jdbc

## Uses of StatementInfoWrapper in com.databend.jdbc

Methods in com.databend.jdbc that return StatementInfoWrapper
Modifier and Type
Method
Description
`static StatementInfoWrapper`
StatementInfoWrapper.`of(@NonNull RawStatement rawStatement)`
Creates a StatementInfoWrapper from the `RawStatement`.
`static StatementInfoWrapper`
StatementInfoWrapper.`of(@NonNull RawStatement rawStatement, String id)`
Creates a StatementInfoWrapper from the `RawStatement`.
Methods in com.databend.jdbc that return types with arguments of type StatementInfoWrapper
Modifier and Type
Method
Description
`List<StatementInfoWrapper>`
StatementUtil.`parseToStatementInfoWrappers(String sql)`
Parse the sql statement to a list of `StatementInfoWrapper`
`List<StatementInfoWrapper>`
StatementUtil.`replaceParameterMarksWithValues(@NonNull Map<Integer,String> params, @NonNull RawStatementWrapper rawStatement)`
Returns a list of `StatementInfoWrapper` containing sql statements constructed with the `RawStatementWrapper` and the parameters provided
`static List<StatementInfoWrapper>`
StatementUtil.`replaceParameterMarksWithValues(@NonNull Map<Integer,String> params, @NonNull String sql)`
Returns a list of `StatementInfoWrapper` containing sql statements constructed with the sql statement and the parameters provided
Method parameters in com.databend.jdbc with type arguments of type StatementInfoWrapper
Modifier and Type
Method
Description
`protected boolean`
DatabendPreparedStatement.`execute(List<StatementInfoWrapper> statements)`